--[[************************************************************************************************************************************************************
	
	invisibleAttacher v1.0
	
	10/2013 by Saty / http://forum.lsczech.cz
	
****************************************************************************************************************************************************************
	
	(EN) INFO
	
	Free for use on mods. Modifications only with my permission !
	
****************************************************************************************************************************************************************
	
	(CZ) INFO
	
	Pro volne pouziti v modech. ZAKAZ modifikaci bez meho souhlasu !
	
************************************************************************************************************************************************************]]--

invisibleAttacher = {};

function invisibleAttacher.prerequisitesPresent(specializations)
	return true;
end;

function invisibleAttacher:load(xmlFile)
	self.attacherNumber = getXMLFloat(xmlFile, "vehicle.invisibleAttacher#attacherNumber")
	self.visToggleNode = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.invisibleAttacher#visToggleNode"));
end;

function invisibleAttacher:update(dt)
	local visibility = false
	for i=1, table.getn(self.attachedImplements) do
		local implement = self.attachedImplements[i];
		local jointDescIndex = implement.jointDescIndex;
		if jointDescIndex == self.attacherNumber then
			visibility = true;
		end;
	end;
	
	setVisibility(self.visToggleNode, visibility);
end;

function invisibleAttacher:delete()
end;

function invisibleAttacher:mouseEvent(posX, posY, isDown, isUp, button)
end;

function invisibleAttacher:keyEvent(unicode, sym, modifier, isDown)
end;

function invisibleAttacher:draw()
end;